| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_StdDescriptor_Configuration_Header_t Struct Reference
USB Descriptors

Standard USB Configuration Descriptor (USB-IF naming conventions). More...

`#include <StdDescriptors.h>`

## Data Fields
uint8_t | bConfigurationValue
uint8_t | bDescriptorType
uint8_t | bLength
uint8_t | bmAttributes
uint8_t | bMaxPower
uint8_t | bNumInterfaces
uint8_t | iConfiguration
uint16_t | wTotalLength

## Detailed Description

Type define for a standard Configuration Descriptor header. This structure uses the relevant standard's given element names to ensure compatibility with the standard.

See also
  USB_Descriptor_Device_t for the version of this type with non-standard LUFA specific element names.

Note
  Regardless of CPU architecture, these values should be stored as little endian.

## Field Documentation

uint8_t USB_StdDescriptor_Configuration_Header_t::bConfigurationValue

Configuration index of the current configuration.

uint8_t USB_StdDescriptor_Configuration_Header_t::bDescriptorType

Type of the descriptor, either a value in USB_DescriptorTypes_t or a value given by the specific class.

uint8_t USB_StdDescriptor_Configuration_Header_t::bLength

Size of the descriptor, in bytes.

uint8_t USB_StdDescriptor_Configuration_Header_t::bmAttributes

Configuration attributes, comprised of a mask of `USB_CONFIG_ATTR_*` masks. On all devices, this should include USB_CONFIG_ATTR_RESERVED at a minimum.

uint8_t USB_StdDescriptor_Configuration_Header_t::bMaxPower

Maximum power consumption of the device while in the current configuration, calculated by the USB_CONFIG_POWER_MA() macro.

uint8_t USB_StdDescriptor_Configuration_Header_t::bNumInterfaces

Total number of interfaces in the configuration.

uint8_t USB_StdDescriptor_Configuration_Header_t::iConfiguration

Index of a string descriptor describing the configuration.

uint16_t USB_StdDescriptor_Configuration_Header_t::wTotalLength

Size of the configuration descriptor header, and all sub descriptors inside the configuration.

The documentation for this struct was generated from the following file:

- Drivers/USB/Core/StdDescriptors.h